apiVersion: v1
kind: Service              # 1
metadata:
  name: app-aspnet-lb
spec:
  type: LoadBalancer       # 2
  ports:
  - port: 5050               # 3
    protocol: TCP          # 4
    targetPort: 5050         # 5
  selector:                # 6
    app: app-aspnet       # 7